/*Copyright (C) 2010-2012 Duncan Deveaux

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "PlayerKeys.hpp"

PlayerKeys::PlayerKeys() :
m_attack(SDLK_a), m_jump(SDLK_y),
m_moveLeft(SDLK_g), m_moveRight(SDLK_j)
{
    
}

PlayerKeys::PlayerKeys(const SDLKey &attack, const SDLKey &jump, const SDLKey &moveLeft, const SDLKey &moveRight) :
m_attack(attack), m_jump(jump), m_moveLeft(moveLeft), m_moveRight(moveRight)
{
    
}

void PlayerKeys::setAttackKey(const SDLKey &attackKey)
{
    m_attack = attackKey;
}

const SDLKey &PlayerKeys::getAttackKey() const
{
    return m_attack;
}

void PlayerKeys::setJumpKey(const SDLKey &jumpKey)
{
    m_jump = jumpKey;
}

const SDLKey &PlayerKeys::getJumpKey() const
{
    return m_jump;
}

void PlayerKeys::setMoveLeftKey(const SDLKey &moveLeftKey)
{
    m_moveLeft = moveLeftKey;
}

const SDLKey &PlayerKeys::getMoveLeftKey() const
{
    return m_moveLeft;
}

void PlayerKeys::setMoveRightKey(const SDLKey &moveRightKey)
{
    m_moveRight = moveRightKey;
}

const SDLKey &PlayerKeys::getMoveRightKey() const
{
    return m_moveRight;
}
